=== debian/changelog ===
notcurses (3.0.7+dfsg.1-1ubuntu8) oracular; urgency=medium

  * d/rules: include missing helper Makefile.
  * d/p/ffmpeg-use-duration.patch: backport an upstream patch to fix FTBFS
    with FFmpeg 7.

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 17 Sep 2024 12:09:36 -0600

notcurses (3.0.7+dfsg.1-1ubuntu7) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:19:17 +0200

notcurses (3.0.7+dfsg.1-1ubuntu6) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:49:18 +0200

notcurses (3.0.7+dfsg.1-1ubuntu5) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Oct 2023 20:51:34 -0400

notcurses (3.0.7+dfsg.1-1ubuntu4) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:09 +0200

notcurses (3.0.7+dfsg.1-1ubuntu3) lunar; urgency=medium

  * Fix metrics test where a call to snprintf() had size > bufsize.
    (LP: #2008108)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 22 Feb 2023 20:14:38 -0700

notcurses (3.0.7+dfsg.1-1ubuntu2) lunar; urgency=medium

  * Cherry-pick workaround for FTBFS with doctest 2.4.9 (LP: #2006772)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 09 Feb 2023 12:17:33 -0700

notcurses (3.0.7+dfsg.1-1ubuntu1) kinetic; urgency=medium

  * Cherry-pick fix for autopkgtest failure on s390x.  (LP: #1989390)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 12 Sep 2022 17:41:55 -0600

notcurses (3.0.7+dfsg.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:30 +0000

notcurses (3.0.7+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 20 Feb 2022 15:38:37 -0500
