=== debian/control ===
Source: notcurses
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Black <dankamongmen@gmail.com>
Build-Depends: cmake (>= 3.14),
               debhelper-compat (= 13),
               dh-python (>= 4.20191017),
               dh-sequence-python3,
               doctest-dev,
               libavformat-dev (>= 7:4.2.1),
               libavutil-dev (>= 7:4.2.1),
               libdeflate-dev,
               libgpm-dev,
               libncurses-dev,
               libqrcodegen-dev (>= 1.5.0),
               libswscale-dev (>= 7:4.2.1),
               libunistring-dev,
               pandoc (>= 1.19.2.4),
               pkg-config,
               python3-cffi (>= 1.13.2),
               python3-dev,
               python3-pip (>= 20.0),
               python3-pypandoc,
               python3-setuptools (>= 44.0.0)
Standards-Version: 4.6.0
Section: libs
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Homepage: https://nick-black.com/dankwiki/index.php/Notcurses
Vcs-Browser: https://salsa.debian.org/debian/notcurses
Vcs-Git: https://salsa.debian.org/debian/notcurses.git

Package: libnotcurses++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses++3 (= ${binary:Version}),
         libnotcurses-dev (>= ${binary:Version}),
         ${misc:Depends}
Description: Character graphics and TUI library (C++ development)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These files are necessary for C++ development using Notcurses.

Package: libnotcurses++3
Architecture: any
Multi-Arch: same
Recommends: ncurses-term
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library (C++)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.

Package: libnotcurses-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends}
Recommends: libnotcurses-dev
Description: Character graphics and TUI library (core development)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. This development
 package covers the Notcurses core library.
 .
 These files are necessary for C development using Notcurses. They
 do not include multimedia support; that requires libnotcurses-dev.

Package: libnotcurses-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses-core-dev (>= ${binary:Version}),
         libnotcurses3 (= ${binary:Version}),
         ${misc:Depends}
Description: Character graphics and TUI library (development)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. Its API is similar
 to that of NCURSES, but extends that with z-buffering, rendering
 of images and video using ffmpeg, alpha blending, widgets, palette
 fades, resize awareness, and multithreading support.
 .
 These files are necessary for C development using Notcurses. This
 package installs multimedia support atop libnotcurses-core-dev.

Package: libnotcurses-core3
Architecture: any
Multi-Arch: same
Recommends: libnotcurses3, ncurses-term
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library (core)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor.
 .
 This core library lacks multimedia support. For that,
 libnotcurses3 must be installed.

Package: libnotcurses3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. Its API is similar
 to that of NCURSES, but extends that with z-buffering, rendering
 of images and video using ffmpeg, alpha blending, widgets, palette
 fades, resize awareness, and multithreading support.
 .
 This package provides multimedia support via ffmpeg.

Package: notcurses-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: notcurses-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: desktop-base,
            ncurses-term,
            python3-notcurses (>= ${source:Version})
Description: Character graphics and TUI library demos
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These utilities from the Notcurses project include notcurses-demo
 (a demonstration of various libnotcurses capabilities), ncplayer
 (a character mode multimedia player), ncls (a file lister that
 displays multimedia), and other tools. Unit tests are furthermore
 bundled as notcurses-tester.

Package: notcurses-data
Architecture: all
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends}
Recommends: ncurses-term
Description: Multimedia used by notcurses-bin
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 This package contains multimedia used by notcurses-demo
 and notcurses-tester from the notcurses-bin package.

Package: python3-notcurses
Section: python
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Replaces: notcurses-bin (<< 1.6)
Breaks: notcurses-bin (<< 1.6)
Description: Character graphics and TUI library (Python)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These files are necessary for Python development using Notcurses.
 The notcurses-pydemo script verifies these Python wrappers.
