## notcurses 3.0.16+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# 3.14.0 introduced NAME_WLE
-cmake_minimum_required(VERSION 3.14.0)
-project(notcurses VERSION 3.0.7
+# 3.21.0 introduced C17 support
+cmake_minimum_required(VERSION 3.21.0)
+project(notcurses VERSION 3.0.16
   DESCRIPTION "Blingful UI for modern terminal emulators"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/notcurses"
   LANGUAGES C)
@@ -28,6 +28,10 @@
 option(USE_POC "Build small, uninstalled proof-of-concept binaries" ON)
 option(USE_QRCODEGEN "Enable libqrcodegen QR code support" OFF)
 option(USE_STATIC "Build static libraries (in addition to shared)" ON)
+cmake_dependent_option(
+  USE_STATIC_BINARIES "Link binaries statically (requires USE_STATIC)" OFF
+  "USE_STATIC" ON
+)
 set(USE_MULTIMEDIA "ffmpeg" CACHE STRING "Multimedia engine, one of 'ffmpeg', 'oiio', or 'none'")
 set_property(CACHE USE_MULTIMEDIA PROPERTY STRINGS ffmpeg oiio none)
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
@@ -62,7 +66,7 @@
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
 string(APPEND CMAKE_CXX_FLAGS_DEBUG " -Og")
 endif()
-set(CMAKE_C_STANDARD 11)
+set(CMAKE_C_STANDARD 17)
 set(CMAKE_C_VISIBILITY_PRESET hidden)
 
 message(STATUS "Requested multimedia engine: ${USE_MULTIMEDIA}")
@@ -105,14 +109,17 @@
 set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND terminfo)
 set_package_properties(terminfo PROPERTIES TYPE REQUIRED)
 set(PKGCONF_REQ_PRIV "${TERMINFO_LIBRARIES}")
+
 if(${USE_FFMPEG})
 pkg_check_modules(AVCODEC REQUIRED libavcodec>=57.0)
+pkg_check_modules(AVDEVICE REQUIRED libavdevice>=57.0)
 pkg_check_modules(AVFORMAT REQUIRED libavformat>=57.0)
 pkg_check_modules(AVUTIL REQUIRED libavutil>=56.0)
 pkg_check_modules(SWSCALE REQUIRED libswscale>=5.0)
 set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND FFMpeg)
 elseif(${USE_OIIO})
-find_package(OpenImageIO 2.1 REQUIRED)
+pkg_check_modules(OPENIMAGEIO REQUIRED OpenImageIO>=2.1)
+set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND OpenImageIO)
 endif()
 endif()
 
@@ -128,7 +135,7 @@
 if(MSVC)
 add_compile_options(/W4)
 else()
-add_compile_options(-Wall -Wextra -W -Wshadow -Wvla)
+add_compile_options(-Wall -Wextra -W -Wshadow -Wvla -Wstrict-aliasing=2)
 # -ffast-math dies on NaNs we draw from libav (by -ffinite-math-only)
 add_compile_options(-fno-signed-zeros -fno-trapping-math -fassociative-math)
 add_compile_options(-fno-math-errno -freciprocal-math -funsafe-math-optimizations)
@@ -165,6 +172,8 @@
 # this is going to be true for anything lacking pkg-config/CMake support.
 # unigbrk.h was introduced in libunistring 0.9.4, 2010-02-14.
 unset(HAVE_UNISTRING_H CACHE)
+find_path(UNISTRING_INCLUDE unigbrk.h)
+set(CMAKE_REQUIRED_INCLUDES ${UNISTRING_INCLUDE})
 check_include_file("unigbrk.h" HAVE_UNISTRING_H)
 if(NOT "${HAVE_UNISTRING_H}")
   message(FATAL_ERROR "Couldn't find unigbrk.h from GNU libunistring")
@@ -174,15 +183,17 @@
 set_package_properties(libunistring PROPERTIES TYPE REQUIRED)
 
 # optional dependencies lacking pkg-config support
+# libdeflate has had pkgconf support since 1.9, where is it on ubuntu? FIXME
 if(${USE_DEFLATE})
 unset(HAVE_DEFLATE_H CACHE)
 check_include_file("libdeflate.h" HAVE_DEFLATE_H)
 if(NOT "${HAVE_DEFLATE_H}")
   message(FATAL_ERROR "Couldn't find libdeflate.h")
 endif()
-find_library(libdeflate deflate REQUIRED)
-set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND libdeflate)
-set_package_properties(libdeflate PROPERTIES TYPE REQUIRED)
+find_library(DEFLATE deflate REQUIRED)
+set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND DEFLATE)
+set_package_properties(DEFLATE PROPERTIES TYPE REQUIRED)
+set(DEFLATE_LIBRARIES ${DEFLATE})
 else()
 find_package(ZLIB)
 set_package_properties(ZLIB PROPERTIES TYPE REQUIRED)
@@ -252,7 +263,7 @@
     "${CMAKE_REQUIRED_INCLUDES}"
     "${PROJECT_BINARY_DIR}/include"
     "${TERMINFO_INCLUDE_DIRS}"
-    "${libdeflate_INCLUDE_DIRS}"
+    "${DEFLATE_INCLUDE_DIRS}"
     "${ZLIB_INCLUDE_DIRS}"
 )
 target_include_directories(notcurses-core-static
@@ -263,42 +274,42 @@
     "${CMAKE_REQUIRED_INCLUDES}"
     "${PROJECT_BINARY_DIR}/include"
     "${TERMINFO_STATIC_INCLUDE_DIRS}"
-    "${libdeflate_STATIC_INCLUDE_DIRS}"
+    "${DEFLATE_STATIC_INCLUDE_DIRS}"
     "${ZLIB_STATIC_INCLUDE_DIRS}"
 )
 target_link_libraries(notcurses-core
   PRIVATE
-    "${libdeflate}"
-    "${ZLIB_LIBRARIES}"
     "${TERMINFO_LIBRARIES}"
     "${LIBM}"
     "${unistring}"
     "${gpm}"
+    "${DEFLATE_LIBRARIES}"
+    "${ZLIB_LIBRARIES}"
   PUBLIC
     Threads::Threads
     "${LIBRT}"
 )
 target_link_libraries(notcurses-core-static
   PRIVATE
-    "${libdeflate_STATIC_LIBRARIES}"
-    "${ZLIB_STATIC_LIBRARIES}"
     "${TERMINFO_STATIC_LIBRARIES}"
     "${LIBM}"
     "${unistring}"
     "${gpm}"
+    "${DEFLATE_STATIC_LIBRARIES}"
+    "${ZLIB_STATIC_LIBRARIES}"
     Threads::Threads
     "${LIBRT}"
 )
 target_link_directories(notcurses-core
   PRIVATE
     "${TERMINFO_LIBRARY_DIRS}"
-    "${libdeflate_LIBRARY_DIRS}"
+    "${DEFLATE_LIBRARY_DIRS}"
     "${ZLIB_LIBRARY_DIRS}"
 )
 target_link_directories(notcurses-core-static
   PRIVATE
     "${TERMINFO_STATIC_LIBRARY_DIRS}"
-    "${libdeflate_STATIC_LIBRARY_DIRS}"
+    "${DEFLATE_STATIC_LIBRARY_DIRS}"
     "${ZLIB_STATIC_LIBRARY_DIRS}"
 )
 if(${USE_QRCODEGEN})
@@ -311,6 +322,8 @@
 file(GLOB NCSRCS CONFIGURE_DEPENDS src/media/*.c src/media/*.cpp)
 add_library(notcurses SHARED ${NCSRCS} ${COMPATSRC})
 if(${USE_STATIC})
+# can't build binaries against static notcurses until ffmpeg linking issues
+# are resolved (USE_STATIC_BINARIES) FIXME
 add_library(notcurses-static STATIC ${NCSRCS} ${COMPATSRC})
 else()
 add_library(notcurses-static STATIC EXCLUDE_FROM_ALL ${NCSRCS} ${COMPATSRC})
@@ -329,32 +342,3 @@
     include
     src
     "${CMAKE_REQUIRED_INCLUDES}"
-    "${PROJECT_BINARY_DIR}/include"
-    "${TERMINFO_INCLUDE_DIRS}"
-)
-target_include_directories(notcurses-static
-  BEFORE
-  PRIVATE
-    include
-    src
-    "${CMAKE_REQUIRED_INCLUDES}"
-    "${PROJECT_BINARY_DIR}/include"
-    "${TERMINFO_INCLUDE_DIRS}"
-)
-target_compile_definitions(notcurses
-  PRIVATE
-   _GNU_SOURCE _DEFAULT_SOURCE
-)
-target_compile_definitions(notcurses-static
-  PRIVATE
-   _GNU_SOURCE _DEFAULT_SOURCE
-)
-target_link_libraries(notcurses
-  PUBLIC
-    notcurses-core
-)
-target_link_libraries(notcurses-static
-  PUBLIC
-    notcurses-core-static
-)
-if(${USE_FFMPEG})
