=== debian/changelog ===
notcurses (3.0.16+dfsg-2) unstable; urgency=medium

  * Fix two lintian problems (missing symbol, missing comma).
    Thanks, Rick!

 -- Nick Black <dankamongmen@gmail.com>  Fri, 16 May 2025 02:36:22 -0400

notcurses (3.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 04 May 2025 07:33:47 -0400

notcurses (3.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changes hopefully address autobuild failures
     (closes: #1001661).

 -- Nick Black <dankamongmen@gmail.com>  Sun, 27 Apr 2025 02:54:52 -0400

notcurses (3.0.13+dfsg-4) unstable; urgency=medium

  * Add an explicit dep on libncurses-dev from
    libnotcurses-core-dev (closes: #1015747).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 16 Apr 2025 22:57:09 -0400

notcurses (3.0.13+dfsg-3) unstable; urgency=medium

  * Add BUILD_TESTING=on to dh_auto_configure's CMake
    arguments (closes: #1103316).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 16 Apr 2025 17:36:24 -0400

notcurses (3.0.13+dfsg-2) unstable; urgency=medium

  * Don't run tests with -l3 since we're redirecting to /dev/null.
  * Use -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON until debhelper 14.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 19 Jan 2025 08:20:24 -0500

notcurses (3.0.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changes ought eliminate uses-deprecated-python-stdlib
    lintian diagnostic for distutils.
  * Run dh_auto_test with --output-on-failure for ctest.
  * Enable reprotest on salsa; we pass now!

 -- Nick Black <dankamongmen@gmail.com>  Sat, 11 Jan 2025 16:33:09 -0500

notcurses (3.0.12+dfsg-1) unstable; urgency=medium

  * Remove X-Python3-Version control header.
  * Change build-dep from pkg-config to pkgconf.
  * Properly exporting CPPFLAGS ought eliminate
    hardening-no-fortify-functions lintian diagnostic for nctetris.
  * Eliminate unnecessary groff overrides, eliminating
    unused-override lintian diagnostics.
  * Fix uscan PGP check, eliminating debian-watch-could-verify-download
    lintian warning.
  * Conform to dfsg naming, eliminating dot-before-repack-count
    lintian diagnostic and supporting proper sorting.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 09 Jan 2025 03:36:05 -0500

notcurses (3.0.11+dfsg.1-2) unstable; urgency=medium

  * Update Standards-Version to 3.7.0; no changes required.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 09 Nov 2024 22:38:36 -0500

notcurses (3.0.11+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Mon, 07 Oct 2024 03:43:36 -0400

notcurses (3.0.10+dfsg.1-1) unstable; urgency=medium

  * New upstream release (closes: #1072438)
    We should now properly build against FFMPEG 7.0.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 02 Oct 2024 07:14:39 -0400

notcurses (3.0.9+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 10 Dec 2022 05:36:02 -0500

notcurses (3.0.8+dfsg.1-2) unstable; urgency=medium

  * Standards version 3.6.1; no changes needed

 -- Nick Black <dankamongmen@gmail.com>  Tue, 25 Oct 2022 12:18:11 -0400

notcurses (3.0.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 06 Apr 2022 06:38:31 -0400
