=== debian/changelog ===
notcurses (3.0.17+dfsg-3) unstable; urgency=medium

  * Stop building Python extensions; they were an endless source
    of annoyance, and supposedly don't even work properly atm.
    Maybe we'll reenable them one day (closes: #1124184).

 -- Nick Black <dankamongmen@gmail.com>  Tue, 06 Jan 2026 23:30:48 -0500

notcurses (3.0.17+dfsg-2) unstable; urgency=medium

  * Standards version 4.7.3, remove explicit Priority.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 30 Dec 2025 07:13:06 -0500

notcurses (3.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 28 Oct 2025 12:26:27 -0400
