=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: notcurses
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nick Black <dankamongmen@gmail.com>
-Build-Depends: cmake (>= 3.14),
+Maintainer: Nick Black <dankamongmen@gmail.com>
+Build-Depends: cmake (>= 3.21),
                debhelper-compat (= 13),
-               dh-python (>= 4.20191017),
-               dh-sequence-python3,
+#               dh-python (>= 4.20191017),
+#               dh-sequence-python3,
                doctest-dev,
-               libavformat-dev (>= 7:4.2.1),
-               libavutil-dev (>= 7:4.2.1),
+               libavdevice-dev (>= 7:7.0.2),
+               libavformat-dev (>= 7:7.0.2),
+               libavutil-dev (>= 7:7.0.2),
                libdeflate-dev,
                libgpm-dev,
                libncurses-dev,
                libqrcodegen-dev (>= 1.5.0),
-               libswscale-dev (>= 7:4.2.1),
+               libswscale-dev (>= 7:7.0.2),
                libunistring-dev,
                pandoc (>= 1.19.2.4),
-               pkg-config,
-               python3-cffi (>= 1.13.2),
-               python3-dev,
-               python3-pip (>= 20.0),
-               python3-pypandoc,
-               python3-setuptools (>= 44.0.0)
-Standards-Version: 4.6.0
+               pkgconf,
+#               python3-cffi (>= 1.13.2),
+# otherwise we blow up in reprotest when it tries to build for 3.12
+#               python3-all-dev,
+#               python3-pip (>= 20.0),
+#               python3-pypandoc,
+#               python3-setuptools (>= 44.0.0)
+Standards-Version: 4.7.3
 Section: libs
-X-Python3-Version: >= 3.7
-Rules-Requires-Root: no
 Homepage: https://nick-black.com/dankwiki/index.php/Notcurses
 Vcs-Browser: https://salsa.debian.org/debian/notcurses
 Vcs-Git: https://salsa.debian.org/debian/notcurses.git
@@ -58,7 +56,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends}
+Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends},
+         libncurses-dev
 Recommends: libnotcurses-dev
 Description: Character graphics and TUI library (core development)
  Notcurses facilitates the creation of modern TUI programs, making
@@ -121,7 +120,7 @@
          ${shlibs:Depends}
 Recommends: desktop-base,
             ncurses-term,
-            python3-notcurses (>= ${source:Version})
+#            python3-notcurses (>= ${source:Version})
 Description: Character graphics and TUI library demos
  Notcurses facilitates the creation of modern TUI programs,
  making full use of Unicode and 24-bit TrueColor. It presents
@@ -147,18 +146,18 @@
  This package contains multimedia used by notcurses-demo
  and notcurses-tester from the notcurses-bin package.
 
-Package: python3-notcurses
-Section: python
-Architecture: any
-Multi-Arch: no
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Provides: ${python3:Provides}
-Replaces: notcurses-bin (<< 1.6)
-Breaks: notcurses-bin (<< 1.6)
-Description: Character graphics and TUI library (Python)
- Notcurses facilitates the creation of modern TUI programs,
- making full use of Unicode and 24-bit TrueColor. It presents
- an API similar to that of Curses, and rides atop Terminfo.
- .
- These files are necessary for Python development using Notcurses.
- The notcurses-pydemo script verifies these Python wrappers.
+#Package: python3-notcurses
+#Section: python
+#Architecture: any
+#Multi-Arch: no
+#Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+#Provides: ${python3:Provides}
+#Replaces: notcurses-bin (<< 1.6)
+#Breaks: notcurses-bin (<< 1.6)
+#Description: Character graphics and TUI library (Python)
+# Notcurses facilitates the creation of modern TUI programs,
+# making full use of Unicode and 24-bit TrueColor. It presents
+# an API similar to that of Curses, and rides atop Terminfo.
+# .
+# These files are necessary for Python development using Notcurses.
+# The notcurses-pydemo script verifies these Python wrappers.
