=== debian/tests/control ===
# The CI pipeline on salsa.debian.org doesn't appear to export a TERM variable
# to the autopkgtest environment. We thus manually use TERM=xterm-256color for all
# commands. They'd otherwise fail out, or (worse) not actually test anything.

# Connects to and queries the controlling terminal, dumping info
Test-Command: TERM=xterm-256color notcurses-info -v
Depends: notcurses-bin
Restrictions: allow-stderr
Features: test-name=info

# Basic unit test suite, but run with installed binary
# redirect to /dev/null to not overwhelm builder logging
Test-Command: TERM=xterm-256color notcurses-tester > /dev/null 2>&1
Depends: notcurses-bin
Features: test-name=unittests

# Execute notcurses-demo with a fixed PRNG seed
Test-Command: TERM=xterm-256color notcurses-demo -d0 -c > /dev/null 2>&1
Depends: notcurses-bin
Features: test-name=demo

# Execute notcurses-pydemo
#Test-Command: TERM=xterm-256color notcurses-pydemo > /dev/null 2>&1
#Depends: python3-notcurses
#Features: test-name=pydemo
